Loading...
Searching...
No Matches
Top-level functions

## Functions

__api void | iio_library_get_version (unsigned int *major, unsigned int *minor, char git_tag[8])
| Get the version of the libiio library.
__api void | iio_strerror (int err, char *dst, size_t len)
| Get a string description of an error code.
__api __check_ret __cnst bool | iio_has_backend (const char *backend)
| Check if the specified backend is available.
__api __check_ret __cnst unsigned int | iio_get_backends_count (void)
| Get the number of available backends.
__api __check_ret __cnst const char * | iio_get_backend (unsigned int index)
| Retrieve the name of a given backend.

## Detailed Description

## Function Documentation

## iio_get_backend()

__api __check_ret __cnst const char * iio_get_backend | ( | unsigned int | index | ) |

Retrieve the name of a given backend.

Parameters

  index | The index corresponding to the attribute

Returns
  On success, a pointer to a static NULL-terminated string
  If the index is invalid, NULL is returned

Introduced in version 0.9.

Here is the caller graph for this function:

## iio_get_backends_count()

__api __check_ret __cnst unsigned int iio_get_backends_count | ( | void |  | ) |

Get the number of available backends.

Returns
  The number of available backends

Introduced in version 0.9.

Here is the caller graph for this function:

## iio_has_backend()

__api __check_ret __cnst bool iio_has_backend | ( | const char * | backend | ) |

Check if the specified backend is available.

Parameters

  backend | The name of the backend to query

Returns
  True if the backend is available, false otherwise

Introduced in version 0.9.

Here is the call graph for this function:

## iio_library_get_version()

__api void iio_library_get_version | ( | unsigned int * | major,
|  | unsigned int * | minor,
|  | char | git_tag[8] )

Get the version of the libiio library.

Parameters

  major | A pointer to an unsigned integer (NULL accepted)
  minor | A pointer to an unsigned integer (NULL accepted)
  git_tag | A pointer to a 8-characters buffer (NULL accepted)

Examples
  dummy-iiostream.c.

Here is the caller graph for this function:

## iio_strerror()

__api void iio_strerror | ( | int | err,
|  | char * | dst,
|  | size_t | len )

Get a string description of an error code.

Parameters

  err | The error code
  dst | A pointer to the memory area where the NULL-terminated string corresponding to the error message will be stored
  len | The available length of the memory area, in bytes

Examples
  dummy-iiostream.c, iio-monitor.c, iio_attr.c, iio_info.c, iio_readdev.c, and iio_writedev.c.